 package com.huimv.acquisition.controller;

 import com.huimv.acquisition.entity.EartagTempAlamEntity;
 import com.huimv.acquisition.result.R;
 import com.huimv.acquisition.service.EartagTempAlamService;
 import com.huimv.acquisition.utils.PageUtils;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;

 import java.util.Arrays;
 import java.util.Map;


 /**
  *
  *
  * @author yinhao
  * @version ${version}
  * @date 2021-08-05 21:54:09
  */
 @RestController
 @RequestMapping("management/eartagtempalarm")
 public class EartagTempAlamController {
     @Autowired
     private EartagTempAlamService eartagTempAlamService;

     /**
      * 列表
      */
     @RequestMapping("/list")
     public R list(@RequestParam Map<String, Object> params){
         PageUtils page = eartagTempAlamService.queryPage(params);

         return R.ok().put("page", page);
     }


     /**
      * 信息
      */
     @RequestMapping("/info/{id}")
     public R info(@PathVariable("id") Integer id){
         EartagTempAlamEntity eartagTempAlam = eartagTempAlamService.getById(id);

         return R.ok().put("eartagTempAlam", eartagTempAlam);
     }

     /**
      * 保存
      */
     @RequestMapping("/save")
     public R save(@RequestBody EartagTempAlamEntity eartagTempAlam){
         eartagTempAlamService.save(eartagTempAlam);

         return R.ok();
     }

     /**
      * 修改
      */
     @RequestMapping("/update")
     public R update(@RequestBody EartagTempAlamEntity eartagTempAlam){
         eartagTempAlamService.updateById(eartagTempAlam);

         return R.ok();
     }

     /**
      * 删除
      */
     @RequestMapping("/delete")
     public R delete(@RequestBody Integer[] ids){
         eartagTempAlamService.removeByIds(Arrays.asList(ids));

         return R.ok();
     }

 }
